[syslog-ng]Errors Compiling 1.5.19 with TCP_WRAPPERS
Victor
victord@paid.com
Thu, 22 Aug 2002 10:05:30 -0400
> On Thu, Aug 22, 2002 at 11:02:17AM +0700, Sangbutsarakum, Patai wrote:
> > I can't success also.
> > I got suggestion to use other feature of syslog-ng
> > that can do access-list like as TCP_WRAPPER.
>
> as it seems the configure test is still not right.
>
> it does work for me (on Debian woody), but as it seems there are some
> platforms where the tcp wrapper test doesn't detect a usable -lwrap.
>
> Can somebody with a platform like this check why this test fails?
How would I test this? I am running CRUX linux. tcp_wrappers 7.6.
If I put this in a shell script, it fails on AC_CACHE_CHECK
--
Also, all software I've seen uses
--with-tcp-wrappers[=PATH]
^^^^
in ./configure. Perhaps that should be updated too.
--
SSHD is compiled with tcp_wrappers and works.
Here is openssh check, maybe this will help:
# Check whether user wants TCP wrappers support
TCPW_MSG="no"
# Check whether --with-tcp-wrappers or --without-tcp-wrappers was given.
if test "${with_tcp_wrappers+set}" = set; then
withval="$with_tcp_wrappers"
if test "x$withval" != "xno" ; then
saved_LIBS="$LIBS"
saved_LDFLAGS="$LDFLAGS"
saved_CPPFLAGS="$CPPFLAGS"
if test -n "${withval}" -a "${withval}" != "yes";
then
if test -d "${withval}/lib"; then
if test -n "${need_dash_r}"; then
LDFLAGS="-L${withval}/lib -R${withval}/lib
${LDFLAGS}"
else
LDFLAGS="-L${withval}/lib
${LDFLAGS}"
fi
else
if test -n "${need_dash_r}"; then
LDFLAGS="-L${withval} -R${withval}
${LDFLAGS}"
else
LDFLAGS="-L${withval}
${LDFLAGS}"
fi
fi
if test -d "${withval}/include"; then
CPPFLAGS="-I${withval}/include
${CPPFLAGS}"
else
CPPFLAGS="-I${withval} ${CPPFLAGS}"
fi
fi
LIBWRAP="-lwrap"
LIBS="$LIBWRAP $LIBS"
echo "$as_me:$LINENO: checking for libwrap" >&5
echo $ECHO_N "checking for libwrap... $ECHO_C" >&6
cat >conftest.$ac_ext <<_ACEOF
#line $LINENO "configure"
#include "confdefs.h"
#include <tcpd.h>
int deny_severity = 0, allow_severity = 0;
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
hosts_access(0);
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
cat >>confdefs.h <<\_ACEOF
#define LIBWRAP 1
_ACEOF
TCPW_MSG="yes"
else
echo "$as_me: failed program was:" >&5
cat conftest.$ac_ext >&5
{ { echo "$as_me:$LINENO: error: *** libwrap missing" >&5
echo "$as_me: error: *** libwrap missing" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
LIBS="$saved_LIBS"
fi
fi;